# Uses of Class
org.mariadb.jdbc.MariaDbStatement

Packages that use MariaDbStatement
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.com.read.dao
org.mariadb.jdbc.internal.com.read.resultset
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol

## Uses of MariaDbStatement in org.mariadb.jdbc

Subclasses of MariaDbStatement in org.mariadb.jdbc
Modifier and Type
Class
Description
`class`
`BasePrepareStatement`
`class`
`CallableFunctionStatement`
`class`
`CallableProcedureStatement`
`class`
`ClientSidePreparedStatement`
`class`
`MariaDbFunctionStatement`
`class`
`MariaDbProcedureStatement`
`class`
`ServerSidePreparedStatement`
Methods in org.mariadb.jdbc that return MariaDbStatement
Modifier and Type
Method
Description
`MariaDbStatement`
MariaDbStatement.`clone(MariaDbConnection connection)`
Clone statement.

## Uses of MariaDbStatement in org.mariadb.jdbc.internal.com.read.dao

Methods in org.mariadb.jdbc.internal.com.read.dao that return MariaDbStatement
Modifier and Type
Method
Description
`MariaDbStatement`
Results.`getStatement()`
Constructors in org.mariadb.jdbc.internal.com.read.dao with parameters of type MariaDbStatement
Modifier
Constructor
Description
``
`Results(MariaDbStatement statement, int fetchSize, boolean batch, int expectedSize, boolean binaryFormat, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, int autoIncrement, String sql, ParameterHolder[] parameters)`
Default constructor.

## Uses of MariaDbStatement in org.mariadb.jdbc.internal.com.read.resultset

Methods in org.mariadb.jdbc.internal.com.read.resultset that return MariaDbStatement
Modifier and Type
Method
Description
`MariaDbStatement`
SelectResultSet.`getStatement()`
Methods in org.mariadb.jdbc.internal.com.read.resultset with parameters of type MariaDbStatement
Modifier and Type
Method
Description
`void`
SelectResultSet.`setStatement(MariaDbStatement statement)`

## Uses of MariaDbStatement in org.mariadb.jdbc.internal.failover

Methods in org.mariadb.jdbc.internal.failover with parameters of type MariaDbStatement
Modifier and Type
Method
Description
`void`
AbstractMastersListener.`prolog(long maxRows, MariaDbConnection connection, MariaDbStatement statement)`
`void`
Listener.`prolog(long maxRows, MariaDbConnection connection, MariaDbStatement statement)`

## Uses of MariaDbStatement in org.mariadb.jdbc.internal.failover.impl

Methods in org.mariadb.jdbc.internal.failover.impl with parameters of type MariaDbStatement
Modifier and Type
Method
Description
`void`
MastersReplicasListener.`prolog(long maxRows, MariaDbConnection connection, MariaDbStatement statement)`

## Uses of MariaDbStatement in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type MariaDbStatement
Modifier and Type
Method
Description
`void`
AbstractQueryProtocol.`prolog(long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
Preparation before command.
`void`
Protocol.`prolog(long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void`
AbstractQueryProtocol.`prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void`
Protocol.`prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`